Ho installato Ubuntu di recente e sono nuovo al mondo LInux. Subito dopo l'installazione di Ubuntu, il Software Center non si caricava: in pochi secondi la finestra si apriva e si richiudeva da sola. Mi è comparso un messaggio di errore che recitava quanto segue:

Si è verificato un errore. Per ulteriori informazioni sull'errore avviare il gestore pacchetti tramite il menu richiamabile con un click del tasto destro del mouse oppure dare il comando apt-get da terminale. Il messaggio di errore è: “Errore nell'aprire la cache (E:Read error read (5: Input/output error) E: the package lists or status file could not be parsed or opened)” Di solito questo significa che i pacchetti installati presentano delle dipendenze irrisolte.

Il mio fratellino, assai più informatico di me e veterano di Linux, mi ha risolto il problema con una riga sul terminale. Ora ho fatto un aggiornamento del sistema e il problema si è ripresentato, perciò preferisco segnalarvelo: mi sembra sistematico e probabilmente riguarderà altri.

Un saluto, MB

chiesto 02 Gen '16, 22:14

byulfy's gravatar image

byulfy
15123

@byulfy: quale versione di Ubuntu usi e quali sono le caratteristiche hardware?
Dopo l'installazione, tu o tuo fratello avete aggiunto qualcosa?

(03 Gen '16, 08:37) enzoge enzoge's gravatar image

Allora: 1) la versione è 15.10 2) caratteristiche hardware da "Informazioni sul computer": memoria 19GB, processore Intel Celeron(R) CPU 1007U @ 1,50 GHz x2, Grafica Intel Ivybridge Mobile x86/MMX/SSE2; tipo SO 32-bit; disco 490 GB 3) dopo l'installazione lì per lì non ho aggiunto niente; dopo la prima soluzione del problema ho aggiunto Musescore, alcuni font scaricati online e un aggiornamento di sistema; dopo l'aggiornamento di sistema si è ripresentato il problema.

Ho risposto a tutto?

(03 Gen '16, 09:33) byulfy byulfy's gravatar image

Purtroppo come puoi vedere qui, spesso i pacchetti non sono aggiornati, ed è comunque buona regola quando si aggiorna il sistema, escludere dall'aggiornamento i pacchetti diversi da quelli rilasciati dalla distribuzione. Prova quindi a ripetere l'aggiornamento escludendo questi software, in caso non funzionasse apri una finestra di terminale e vedi se riesci a sistemare le cose dando i comandi:

prima

sudo -i

e successivamente

apt-get update && apt-get dist-upgrade

se non funziona così, prova prima a disinstallare i pacchetti aggiunti e ripeti l'operazione.

coll. permanente

ha risposto 03 Gen '16, 10:47

enzoge's gravatar image

enzoge
4.6k203987

modificato 03 Gen '16, 11:02

WOOOOOOOWWWWWWWWWWWWWWWWWW!!!!!!!! Ha funzionato al primo colpo! Non ho capito come rilanciare l'aggiornamento (credo che il Software Center mi desse problemi). Ho lanciato il terminale e l'alert se n'è andato: Software Center si apre :-DDDDDDDDDD. Approfitto per un'ultima conferma: l'esclusione dei pacchetti dagli aggiornamenti l'ho interpretata così: nell'area Software e Aggiornamenti delle Impostazioni di Sistema, nel tab Aggiornamenti ho deselezionato "Aggiornamenti proposti" e "Aggiornamenti non supportati". Era quello che intendevi? Grazie tantissimo, ilGallinetta!!!!!!!!!!! Buon Anno MB

(05 Gen '16, 11:47) byulfy byulfy's gravatar image

Molto bene @byulfy: tutto perfetto! Tieni sempre presente di non aggiornare il software non ufficiale installato.
Ora per chiudere la domanda devi accettare la risposta, in modo che possa essere utile a altri con problemi simili.

(05 Gen '16, 15:16) enzoge enzoge's gravatar image

Credo di aver fatto. Se non ti risulta, segnalamelo, per favore ... Ancora grazie e ancora ciao! MB

(05 Gen '16, 16:10) byulfy byulfy's gravatar image
La tua risposta
abilita/disabilita anteprima

Segui questa domanda

Via email:

Una volta eseguito l'accesso potrai iscriverti a tutti gli aggiornamenti qui

Via RSS:

Risposte

Risposte e commenti

Basi di markdown

  • *corsivo* o __corsivo__
  • **grassetto** o __grassetto__
  • collegamento:[testo](http://url.com/ "titolo")
  • immagine?![alt testo](/path/img.jpg "titolo")
  • elenco numerato: 1. Foo 2. Bar
  • per aggiungere un'interruzione di riga, aggiungi due spazi a fine riga e premi «Invio»
  • è supportato anche semplice HTML

Tag:

×110

domanda posta: 02 Gen '16, 22:14

domanda visualizzata: 2,809 volte

ultimo aggiornamento: 05 Gen '16, 16:10

Chiedi è un servizio di supporto gestito da Ubuntu-it. Contattaci!

powered by OSQAPostgreSQL database
Ubuntu e Canonical sono marchi registrati da Canonical Ltd.